Bug 225054 - [iOS] Coalesce adjacent selection geometries when rendering individual selection quads
Summary: [iOS] Coalesce adjacent selection geometries when rendering individual select...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Wenson Hsieh
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-04-26 09:03 PDT by Wenson Hsieh
Modified: 2021-04-28 18:37 PDT (History)
13 users (show)

See Also:


Attachments
For EWS (15.40 KB, patch)
2021-04-27 08:32 PDT, Wenson Hsieh
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
For EWS (15.45 KB, patch)
2021-04-27 08:49 PDT, Wenson Hsieh
thorton: review+
Details | Formatted Diff | Diff
Renaming (15.39 KB, patch)
2021-04-28 14:24 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wenson Hsieh 2021-04-26 09:03:48 PDT
.
Comment 1 Wenson Hsieh 2021-04-27 08:32:47 PDT Comment hidden (obsolete)
Comment 2 Wenson Hsieh 2021-04-27 08:49:02 PDT
Created attachment 427153 [details]
For EWS
Comment 3 Tim Horton 2021-04-28 13:32:14 PDT
Comment on attachment 427153 [details]
For EWS

View in context: https://bugs.webkit.org/attachment.cgi?id=427153&action=review

> Source/WebKit/WebProcess/WebPage/ios/WebPageIOS.mm:1349
> +static Optional<SimpleRange> canonicalizeForImageOverlay(const SimpleRange& range)

Can this be more specific than "canonicalize" which pretty much means nothing?
Comment 4 Wenson Hsieh 2021-04-28 13:33:00 PDT
Comment on attachment 427153 [details]
For EWS

View in context: https://bugs.webkit.org/attachment.cgi?id=427153&action=review

>> Source/WebKit/WebProcess/WebPage/ios/WebPageIOS.mm:1349
>> +static Optional<SimpleRange> canonicalizeForImageOverlay(const SimpleRange& range)
> 
> Can this be more specific than "canonicalize" which pretty much means nothing?

Good point. How about "expandForImageOverlay"?
Comment 5 Wenson Hsieh 2021-04-28 14:24:19 PDT
Created attachment 427293 [details]
Renaming
Comment 6 EWS 2021-04-28 18:36:41 PDT
Committed r276746 (237146@main): <https://commits.webkit.org/237146@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 427293 [details].
Comment 7 Radar WebKit Bug Importer 2021-04-28 18:37:14 PDT
<rdar://problem/77296813>